Page MenuHomePhabricator

1.32.0-wmf.26 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.32.0-wmf.26
Release Date
Oct 15 2018, 12:00 AM

2018 week 42 1.32-wmf.26 Changes wmf/1.32.0-wmf.26

This MediaWiki Train Deployment is scheduled for the week of Monday, October 15th:

Monday October 15thTuesday, October 16thWednesday, October 17thThursday, October 18thFriday
Backports only.Branch wmf.26 and deploy to Group 0 Wikis.Deploy wmf.26 to Group 1 Wikis.Deploy wmf.26 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.26 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.32.0-wmf.25
Next: 1.33.0-wmf.1

Event Timeline

greg created this task.Mar 29 2018, 6:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 29 2018, 6:08 PM
greg triaged this task as Medium priority.Mar 29 2018, 6:14 PM
greg assigned this task to mmodell.Sep 27 2018, 4:40 PM

Mentioned in SAL (#wikimedia-operations) [2018-10-16T20:28:28Z] <twentyafterfour@deploy1001> Started scap: Syncing 1.32.0-wmf.26 refs T191072

Mentioned in SAL (#wikimedia-operations) [2018-10-16T20:55:00Z] <twentyafterfour@deploy1001> Finished scap: Syncing 1.32.0-wmf.26 refs T191072 (duration: 26m 32s)

Change 467819 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group0 wikis to 1.32.0-wmf.26 refs T191072

https://gerrit.wikimedia.org/r/467819

Change 467819 merged by jenkins-bot:
[operations/mediawiki-config@master] group0 wikis to 1.32.0-wmf.26 refs T191072

https://gerrit.wikimedia.org/r/467819

Mentioned in SAL (#wikimedia-operations) [2018-10-16T21:18:10Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group0 wikis to 1.32.0-wmf.26 refs T191072

Change 467828 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group0 wikis to 1.32.0-wmf.24 refs T191072

https://gerrit.wikimedia.org/r/467828

Change 467828 merged by jenkins-bot:
[operations/mediawiki-config@master] group0 wikis to 1.32.0-wmf.24 refs T191072

https://gerrit.wikimedia.org/r/467828

Mentioned in SAL (#wikimedia-operations) [2018-10-16T21:58:52Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group0 wikis to 1.32.0-wmf.24 refs T191072

@mmodell Hm.. the "create one" link seems to use form 47 (create release) instead of 46 (report error). Removing the template parameter and keeping only parent would also ensure #Patch-for-Review`, #Train, Assigned To, Subscribers, etc. don't get copied, and allows the forms' placeholder to show instead.

Expected: https://phabricator.wikimedia.org/maniphest/task/edit/form/46/?parent=191072&status=open
Actual: https://phabricator.wikimedia.org/maniphest/task/edit/form/47/?parent=191072&template=191072&status=open

Change 468176 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group0 wikis to 1.32.0-wmf.26 refs T191072

https://gerrit.wikimedia.org/r/468176

Change 468176 merged by jenkins-bot:
[operations/mediawiki-config@master] group0 wikis to 1.32.0-wmf.26 refs T191072

https://gerrit.wikimedia.org/r/468176

Mentioned in SAL (#wikimedia-operations) [2018-10-17T22:38:30Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group0 wikis to 1.32.0-wmf.26 refs T191072

Change 468338 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group1 wikis to 1.32.0-wmf.26 refs T191072

https://gerrit.wikimedia.org/r/468338

Change 468338 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.32.0-wmf.26 refs T191072

https://gerrit.wikimedia.org/r/468338

Change 468339 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group1 wikis to 1.32.0-wmf.24 refs T191072

https://gerrit.wikimedia.org/r/468339

Change 468339 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.32.0-wmf.24 refs T191072

https://gerrit.wikimedia.org/r/468339

Mentioned in SAL (#wikimedia-operations) [2018-10-18T15:39:23Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group1 wikis to 1.32.0-wmf.24 refs T191072

Mentioned in SAL (#wikimedia-operations) [2018-10-18T15:40:29Z] <twentyafterfour@deploy1001> Synchronized php: group1 wikis to 1.32.0-wmf.24 refs T191072 (duration: 00m 53s)

Mentioned in SAL (#wikimedia-operations) [2018-10-18T15:42:01Z] <twentyafterfour> twentyafterfour@deploy1001 Synchronized php: group1 wikis to 1.32.0-wmf.24 refs T191072 (duration: 00m 53s)

Change 468360 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group1 wikis to 1.32.0-wmf.26 refs T191072

https://gerrit.wikimedia.org/r/468360

Change 468360 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.32.0-wmf.26 refs T191072

https://gerrit.wikimedia.org/r/468360

Mentioned in SAL (#wikimedia-operations) [2018-10-18T16:59:16Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group1 wikis to 1.32.0-wmf.26 refs T191072

Mentioned in SAL (#wikimedia-operations) [2018-10-18T17:00:10Z] <twentyafterfour@deploy1001> Synchronized php: group1 wikis to 1.32.0-wmf.26 refs T191072 (duration: 00m 53s)

Change 468406 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] all wikis to 1.32.0-wmf.26 refs T191072

https://gerrit.wikimedia.org/r/468406

Change 468406 merged by jenkins-bot:
[operations/mediawiki-config@master] all wikis to 1.32.0-wmf.26 refs T191072

https://gerrit.wikimedia.org/r/468406

Change 468465 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group2 wikis to 1.32.0-wmf.24 refs T191072

https://gerrit.wikimedia.org/r/468465

Change 468465 merged by jenkins-bot:
[operations/mediawiki-config@master] group2 wikis to 1.32.0-wmf.24 refs T191072

https://gerrit.wikimedia.org/r/468465

Mentioned in SAL (#wikimedia-operations) [2018-10-18T20:49:50Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group2 wikis to 1.32.0-wmf.24 refs T191072

Change 468479 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group2 wikis to 1.32.0-wmf.26 refs T191072

https://gerrit.wikimedia.org/r/468479

Change 468479 merged by jenkins-bot:
[operations/mediawiki-config@master] group2 wikis to 1.32.0-wmf.26 refs T191072

https://gerrit.wikimedia.org/r/468479

Mentioned in SAL (#wikimedia-operations) [2018-10-18T21:49:20Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group2 wikis to 1.32.0-wmf.26 refs T191072

mmodell closed this task as Resolved.Oct 19 2018, 3:21 AM